LINUX.ORG.RU

DBD-Oracle-1.16, Unable to locate an oracle.mk, proc.mk


0

0

Добрый день!

Есть сервер SuSE10 SP2, установлен Oracle 11, perl-DBI-1.50-13.2. Необходимо поставить DBD-Oracle.

Ставлю версию DBD-Oracle-1.16.

#perl Makefile.PL Получаю ошибки:

----------------------------------- Multiple copies of Driver.xst found in: /usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI/ /usr/lib/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI/ at Makefile.PL line 39 Using DBI 1.48 (for perl 5.008008 on x86_64-linux-thread-multi) installed in /usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI/

Configuring DBD::Oracle ...

Remember to actually *READ* the README file!

Especially if you have any problems.

Using Oracle in /opt/app/oracle4/product/11.1/db_4 DEFINE _SQLPLUS_RELEASE = «1101000700» (CHAR) Oracle version 11.1.0.7 (11.1)

Unable to locate an oracle.mk, proc.mk or other suitable *.mk file in your Oracle installation. (I looked in /opt/app/oracle4/product/11.1/db_4/rdbms/lib/oracle.mk /opt/app/oracle4/product/11.1/db_4/rdbms/demo/oracle.mk /opt/app/oracle4/product/11.1/db_4/rdbms/demo/demo_rdbms.mk /opt/app/oracle4/product/11.1/db_4/otrace/demo/atmoci.mk /opt/app/oracle4/product/11.1/db_4/precomp/demo/proc/proc.mk /opt/app/oracle4/product/11.1/db_4/precomp/demo/proc/demo_proc.mk /opt/app/oracle4/product/11.1/db_4/proc/lib/proc.mk /opt/app/oracle4/product/11.1/db_4/proc16/lib/proc16.mk)

The oracle.mk (or demo_rdbms.mk) file is part of the Oracle RDBMS product. The proc.mk (or demo_proc.mk) file is part of the Oracle Pro*C product. You need to build DBD::Oracle on a system which has one of these Oracle components installed. (Other *.mk files such as the env_*.mk files will not work.)

In the unlikely event that a suitable *.mk file is installed somewhere non-standard you can specify where it is using the -m option: perl Makefile.PL -m /path/to/your.mk

See README.clients for more information and some alternatives.

at Makefile.PL line 922. -----------------------------------

Файлов, указанных в ошибке, действительно нет, но на других аналогичных серверах тоже таких файлов нет и никогда не было проблем с установкой. В интернете нарыла только советы поставить оракл клиента, но он мне не нужен, да и на других аналогичных серверах, где все установилось нормально, клиента нет и не было никогда. Что делать?


Ответ на: DBD-Oracle-1.16, Unable to locate an oracle.mk, proc.mk от sda00

DBD-Oracle-1.16, Unable to locate an oracle.mk, proc.mk

Проблема заключалась именно в 11 версии Oracle. Если кому-то придется столкнуться, можете попробовать DBD::Oracle 1.21. Либо так: perl Makefile.PL -l make make install

Bassai ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.